commit: 19f9f9e07885986dbfaf3701b4aa0041b30873da
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 10 11:37:47 2023 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Sep 10 11:37:47 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19f9f9e0
app-crypt/rhash-1.4.4: fix build on Solaris
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
app-crypt/rhash/rhash-1.4.4.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/app-crypt/rhash/rhash-1.4.4.ebuild
b/app-crypt/rhash/rhash-1.4.4.ebuild
index 165ca9e3ba4a..15d4f0bd4ee6 100644
--- a/app-crypt/rhash/rhash-1.4.4.ebuild
+++ b/app-crypt/rhash/rhash-1.4.4.ebuild
@@ -42,6 +42,14 @@ src_prepare() {
librhash/util.h || die
fi
+ # upstream fix for BSD and others, but was only applied for BSD
+ # we need support for Solaris, where we use a GNU toolchain, so use
+ # the original hack, hopefully next release has this fixed
+ # https://github.com/rhash/RHash/issues/238
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ sed -i -e 's/^elif linux; then/else/' configure || die
+ fi
+
multilib_copy_sources
}